<?php
session_start();
//include 'config.php';
$action = $_GET['action'];
 function getfile($spider,$shijian){
    $filesmulu="./data/spider/".$spider."/".$shijian.".log";
		if(!file_exists($filesmulu)) {
                $files="0";
				}else{
    $files = file_get_contents("./data/spider/".$spider."/".$shijian.".log");
		}
	return $files;
}

if ($action == 'loginout') {  
session_destroy();
unset($_SESSION);
echo "<script>location.href='login.php';</script>";
    } 
//$pass = trim($_POST['pass']);//
//echo $pass."33333";
//echo constant("PWD"); exit;
if($_SESSION['is_login']=="1"){
 $info=file_get_contents("config.php");
    //var_dump($_POST);
    //die;
    //遍历$_POST
	if($_POST["PWD"]){
    foreach($_POST as $k=>$v){
	$v=str_replace('?', '？', $v);
	$v=str_replace('>', '》', $v);
	$v=str_replace('<', '《', $v);
	$v=str_replace('"', '', $v);
	$v=str_replace("'", "", $v);
	$k=str_replace('?', '？', $k);
	$k=str_replace('>', '》', $k);
	$k=str_replace('<', '《', $k);
	$k=str_replace('"', '', $k);
	$k=str_replace("'", "", $k);
        //正则替换
        $info=preg_replace("/define\(\"{$k}\",\".*?\"\)/","define(\"{$k}\",\"{$v}\")",$info);
    }
    //回填
    file_put_contents("config.php",$info);
    echo "'<script>alert('成功!');location.href='admin.php';</script>'";
	}else{
  }
   ?>
  <html>
    <head>
        <title>修改配置</title>
        <meta charset='utf-8' />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
    
    <body>
	<script src="/images/jquery-latest.js"></script>

	<center>欢迎登入后台&nbsp;&nbsp;<a href="guanli.php">管理</a>&nbsp;&nbsp;<a href="admin.php">设置</a>&nbsp;&nbsp;<a href="http://www.kuaicheseo.com/" target="_blank">快车官网</a>&nbsp;&nbsp;<a href="http://www.kuaicheseo.com/forum-42-1.html" target="_blank">程序使用教程</a>&nbsp;&nbsp;<a href="admin.php?action=loginout">退出</a></center><br/>
        <form action='' method='post'>
		<center>
            <table border='1' width='500'>
                <?php
                    //读取文件
                    //正则
                    preg_match_all('/define\(\"(.*?)\",\"(.*?)\"\)/',$info,$arr);
                    //var_dump($arr);
                    
                    //遍历
                    foreach($arr[1] as $k=>$v){
                        echo "<tr>";
                            echo "<td>{$v}</td>";
                            echo "<td><input type='text' name='{$v}' value='{$arr[2][$k]}' /></td>";
                        echo "</tr>";
                    }
                ?>
                <tr>
                    <td colspan='2' align='center' >
                        <input type='submit' value='保存' />
                        <input type='reset'  />
                    </td>
                </tr>
				 <tr>
                    <td colspan='2' align='center' >
                      huancun 1 缓存  0不缓存（开启缓存刷新也没不变）<br/>
					  caiji   1采集  0不采集（开启采集后文章页的是随机的最新新闻）<br/>
					  PWD  后台密码<br/>
					  jingtai 伪静态开关 1开启 0不开（服务器需支持伪静态）<br/>
					  token （网站百度的token值，请去百度站长平台获取，或者点击顶部“程序使用教程”查看获取教程）
                    </td>
                </tr>
            </table>
			</center>
        </form>
		<center>
		<table border='1' width='500'>
		 <tr>
                    <td colspan='2' align='center' >
                     今日蜘蛛数量
                    </td>
					<td colspan='2' align='center' >
                     昨日蜘蛛数量
                    </td>
                </tr>
                <tr><td>百度</td><td><?php echo getfile("Baiduspider",date("Ymd"))  ?></td><td>百度</td><td><?php echo getfile("Baiduspider",date("Ymd",strtotime("-1 day")))  ?></td></tr>
				<tr><td>360</td><td><?php echo getfile("HaoSouSpider",date("Ymd"))  ?></td><td>360</td><td><?php echo getfile("HaoSouSpider",date("Ymd",strtotime("-1 day")))  ?></td></tr>
				<tr><td>搜狗</td><td><?php echo getfile("Sogou",date("Ymd"))  ?></td><td>搜狗</td><td><?php echo getfile("Sogou",date("Ymd",strtotime("-1 day")))  ?></td></tr>
				<tr><td>谷歌</td><td><?php echo getfile("Googlebot",date("Ymd"))  ?></td><td>谷歌</td><td><?php echo getfile("Googlebot",date("Ymd",strtotime("-1 day")))  ?></td></tr> 
				<tr><td>神马</td><td><?php echo getfile("Yisouspider",date("Ymd"))  ?></td><td>神马</td><td><?php echo getfile("Yisouspider",date("Ymd",strtotime("-1 day")))  ?></td></tr>
				<tr><td>必应</td><td><?php echo getfile("Bingbot",date("Ymd"))  ?></td><td>必应</td><td><?php echo getfile("Bingbot",date("Ymd",strtotime("-1 day")))  ?></td></tr>
            </table>
</center><br/>
<center>
		<table border='1' width='700'>
		 <tr>
                    <td colspan='2' align='center' >
                     刷百度token引百万蜘蛛
                    </td>
                </tr>
                <tr><td>输入网址开刷</td><td><input type="text" id="input">
<button id="button">开刷</button>
<script>
var url="";
$("#button").click(function(){
url=$("#input").val();
window.location.href="http://"+url+"/data/token.php";
})
</script></td></tr>
<tr><td colspan='2' align='center' >（输入网址格式例如：www.120.com）</td></tr>
				<tr><td colspan='2' align='center' style="color:#FF0000;"  >注意：输入的网址必行是您解析到本程序的域名，泛解析的域名也行，（同时必须先填写对应token）推送的数据是输入网址的文章网址（例如http://<?php echo $_SERVER['SERVER_NAME']  ?>/show-m9bwtpl.html），一次随机500条。（点开一个一天能推送上十万次，多开效果无法想象。）</td></tr>
				<tr><td colspan='2' align='center' >（打开刷的页面建议挂在服务器不关闭，如果偶尔错误重新打开或者刷新即可）</td></tr>
				

            </table>
</center><br/>
<center>
		<table border='1' width='700'>
		 <tr>
                    <td colspan='2' align='center' >
                     关键词采集
                    </td>
                </tr>
                <tr><td>采集title</td><td><a href="/data/key.php" target="_blank">点击采集</a></td></tr>
				<tr><td>采集content</td><td><a href="/data/3-bt.php" target="_blank">点击采集</a></td></tr>
				<tr><td colspan='2' align='center' >自动采集10分钟刷新一次（建议挂在服务器不关闭，如果偶尔错误重新打开或者刷新即可）</td></tr>

            </table>
</center>
    </body>
</html>
  <?php
}else{
  $is_login='';
  echo "'<script language='javascript'>location.href='login.php'</script>'"; exit;
 ?>
<?php

  }
 
 ?>